Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

Validates a protocol

Request

In order to run any protocol, it must first be validated. The validation process verifies that the data provided is correct and that the protocol can run successfully. If the protocol is not valid, the errors returned should show which parameters or steps are incorrect or will cause runtime problems.

Security
Bearer
Path
protocolIdinteger(int32)required

The id for the protocol

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/protocols/validate/{protocolId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The result of the protocol name validation

Bodyapplication/json
isValidboolean

Check in the protocol is valid

validationErrorsArray of strings or null

The validation errors, will be empty if isValid is true

Response
application/json
{ "isValid": true, "validationErrors": [ "string" ] }

Rename a protocol

Request

Security
Bearer
Path
protocolIdinteger(int32)required

The database id of the protocol to be renamed

Bodyapplication/json
newNamestring or null

The new name of the protocol

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/protocols/rename/{protocolId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "newName": "string"
  }'

Responses

The protocol was renamed successfully

Response
No content

Update a protocol's report settings

Request

Security
Bearer
Path
protocolIdinteger(int32)required

The database id of the protocol to be renamed

Bodyapplication/json
savePdfboolean

Whether the PDF report should be saved to the specified path upon protocol completion.

saveJsonboolean

Whether the Json report data should be saved to the specified path upon protocol completion.

savePipettingCsvboolean

Whether the pipetting csv data should be saved to the specified path upon protocol completion.

pipettingCsvPerStepboolean

Whether the pipetting data should be split into separate csv files per step.

reportPathstring or null

The path to save the pipette report to

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/protocols/report-settings/{protocolId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "savePdf": true,
    "saveJson": true,
    "savePipettingCsv": true,
    "pipettingCsvPerStep": true,
    "reportPath": "string"
  }'

Responses

The protocol's report settings were updated successfully

Response
No content

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations